/* ===== GENERAL ===== */
html {
  height: 100%;
}

body {
  font-family: 'Lora', serif;
  background-color: #212529;
  background-image: linear-gradient(rgba(106, 4, 11, 0.242), rgba(113, 17, 17, 0.097)), url("../assets/img/fcea.jpg");
  background-attachment: fixed;
  background-position: center;
  background-size: cover;
  height: 100%;
  display: flex;
  flex-direction: column;
}

/* ===== NAVBAR ===== */
#mainNav {
  background-color: rgba(106, 4, 15, 0.383);
  backdrop-filter: blur(10px);
  position: sticky;
  top: 0;
  z-index: 1055;
}

.navbar-nav {
  flex-wrap: wrap;
}

.navbar-nav .nav-link {
  color: #f6e1c5 !important;
}

.navbar-nav .nav-link:hover {
  color: #ffffff !important;
}

/* ===== DROPDOWN ===== */
.dropdown-menu {
  background-color: #2F170F;
  border: none;
}

.dropdown-menu .dropdown-item {
  color: #f6e1c5;
}

.dropdown-menu .dropdown-item:hover {
  background-color: rgba(255, 255, 255, 0.1);
  color: #fff;
}

/* ===== HERO ===== */
.hero-section {
  /* background: url("../assets/img/fcea.jpg") center/cover no-repeat; */
  padding: 5.07rem 0;
  position: relative;
}

.hero-section::before {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.55);
}

.hero-section .container {
  position: relative;
  z-index: 1;
}

/* ===== SECTIONS ===== */
.page-section {
  padding: 5rem 0;
  background-color: rgba(0, 0, 0, 0.4);
}

/* ===== MOBILE ===== */
@media (max-width: 991px) {
  #mainNav {
    background-color: rgba(0, 80, 216, 0.2);
    /* backdrop-filter: blur(10px); */
    /* position: absolute; */
      /* top: 100%; */
  }
}

@media (max-width: 991px) {
  #navbarNavDropdown {
    overflow: visible !important;
  }
}

@media (max-width: 991px) {

  .navbar .dropdown-menu {
    position: static !important;
    float: none;
    width: 100%;
    margin-top: .5rem;
  }

}

/* ===== FOOTER ===== */
.site-footer {
  background-color: rgba(26, 5, 7, 0.766);
  /* backdrop-filter: blur(10px); */
  color: #f6e1c5;
  padding: 2rem 0 2rem 0;
}

.text-footer {
  color: #f6e1c5;
}

.footer-link {
  color: #ffffff;
  text-decoration: none;
  font-weight: 600;
}

.footer-link:hover {
  color: #f6e1c5;
  text-decoration: underline;
}

/* ===== CAROUSEL HERO ===== */
.hero-carousel {
  max-width: 720px;
  margin: 0 auto;
  background: rgba(0, 0, 0, 0.85);
  border-radius: 1rem;
  padding: 1.5rem;
}

.hero-section h1 {
  margin-bottom: 2.5rem;
  letter-spacing: 0.08em;
}

.hero-carousel .carousel-item {
  height: 480px;
}

.hero-carousel img {
  width: auto;
  height: 100%;
  max-width: 100%;
  object-fit: contain;
  background-color: #000;
  display: block;
  margin: auto;
}

.carousel-caption {
  max-width: 85%;
  margin: 0 auto;
  bottom: 1.2rem;
  text-align: center;
}

/* Modal */

.modal-bg {
  background-color: rgba(145, 19, 19, 0.421);
  backdrop-filter: blur(10px);
}

#link-acceder {
  text-decoration: none;
  color: #f1f1f1;
}

#link-acceder:hover {
  color: #212529;
  border-bottom: solid 0.125rem #f1f1f1;
  gap: var(1rem);
}

/* Login */

#ingresar {
  background-color: rgb(120, 0, 0);
  backdrop-filter: blur(50px);
  color: azure;
}

#ingresar:hover {
  color: rgba(222, 202, 202, 0.816);
  border: solid 1px #f1f1f1;
  gap: 0.25 rem;
}

/* .form-control:focus {
  border-color: #dc3545 !important;
  box-shadow: none;
  background-color: transparent;
  /* gap: 0.25 rem; */
/* }  */

.dt-length label, .dt-search label, .dt-info {
  color: #0a0908;
  font-weight: 900;
}

.notification .badge {
  font-size: 0.75rem;
  min-width: 20px;
  text-align: center;
}

.alerta {
  font-size: 8px;
  color: #dc3545;
  vertical-align: middle;
}

#tabla_reuniones .boton-deshabilitado {
  opacity: 0.5;
}

.cont-bg {
  background-color: #e7ecef !important;
}

.form-control,
.form-select {
  border: solid 2px #bfc0c0 !important;
}

th {
  font-size: 16px !important;
}
th, td {
  font-size: 14px !important;
}

#lost-password {
  text-decoration: none !important;
  color: #4361ee !important;
  font-size: 17px !important;
  font-weight: 500 !important;
}

#lost-password:hover {
  color: #3a0ca3 !important;
  border-bottom: solid 1px #3a0ca3;
}

#div-lost {
  margin-top: .80rem !important;
}